Bug 828658 - 'yum makecache' exits on unreachable repo with 'skip_if_unavailabe=1' set
'yum makecache' exits on unreachable repo with 'skip_if_unavailabe=1' set
Status: CLOSED DUPLICATE of bug 845581
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.6
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks: 842031
  Show dependency treegraph
 
Reported: 2012-06-05 02:59 EDT by Karel Srot
Modified: 2014-01-21 01:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 769864
: 842031 (view as bug list)
Environment:
Last Closed: 2013-03-18 05:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-06-05 02:59:30 EDT
Present on RHEL5 too

yum-3.2.22-40.el5



+++ This bug was initially created as a clone of Bug #769864 +++

Description of problem:
SSIA. 'yum update' does not have this problem, unreachable repos with skip_if_unavailable=1 are skipped

Version-Release number of selected component (if applicable):
yum-3.2.29-22.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. set up a repo:
[test]
name=test
baseurl=<url that is valid but returns 404>
enabled=1
skip_if_unavailable=1
2. run yum --disablerepo='*' --enablerepo test makecache
3.
  
Actual results:
yum exits complaining that it can not download info for test repo:
$BASEURL: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: test. Please verify its path and try again

Expected results:
yum skips repo

Additional info:

--- Additional comment from zpavlas@redhat.com on 2012-01-12 07:19:39 EST ---

> Expected results: yum skips repo

You have enabled only one repo, and Yum did skip that.  'skip_if_unavailable=1' does not prevent Yum from printing error messages (that's intended).

Could you try '--enablerepo test --enablerepo other' too?  This works upstream, but I don't have RHEL6 at hands.  Thanks!

--- Additional comment from djasa@redhat.com on 2012-01-12 07:35:40 EST ---

(In reply to comment #1)
> > Expected results: yum skips repo
> 
> You have enabled only one repo, and Yum did skip that.  'skip_if_unavailable=1'
> does not prevent Yum from printing error messages (that's intended).
> 

This exactly does not work in RHEL:

# yum makecache ; echo $?
Loaded plugins: auto-update-debuginfo, refresh-packagekit, rhnplugin
[other repo metadata fetched]     
<repo_URL>: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: <repo>. Please verify its path and try again
1

yum should ignore the error and keep going through the rest of the repos, it exits with 1 instead.
Comment 1 RHEL Product and Program Management 2012-06-11 21:22:41 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 2 Zdeněk Pavlas 2013-03-18 05:22:47 EDT

*** This bug has been marked as a duplicate of bug 845581 ***

Note You need to log in before you can comment on or make changes to this bug.